1
Etheral Helm of The Void
Helmet
0
Armor
Head
1
39
0
0
0
And from the Void, the Grandmaster Tolus came to the Hero Athali Saandri in his sleep and said, "And to the Chosen One I bestow this helm, My legacy, My Spirit. You are the Chosen One, Athali. The Bearer of the Unspoken Word. May the Void be all around yo
2
Taikuus
30
\system\apps\Xsidus\XSIDUS_TAIKUS_HELM_MEDIUM.MBM
\system\apps\Xsidus\XSIDUS_TAIKUS_HELM_MEDIUM_M.MBM
items\ani_ini\taikus\helm\taikus_mediumhelm_colony.ini
items\ani_ini\taikus\helm\taikus_mediumhelm_combat.ini
items\ani_ini\taikus\helm\taikus_mediumhelm_sprite.ini
items\ani_ini\taikus\helm\taikus_mediumhelm_base_sprite.ini